Bug 733868 - The main menu icon doesn't show in fallback mode
Summary: The main menu icon doesn't show in fallback mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-27 23:18 UTC by Bruno Wolff III
Modified: 2011-09-30 19:31 UTC (History)
3 users (show)

Fixed In Version: glib2-2.29.92-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 19:31:38 UTC


Attachments (Terms of Use)

Description Bruno Wolff III 2011-08-27 23:18:36 UTC
Description of problem:
Recently the main menu icon disappeared from the panel, though it looks like the dbus definition for it is still in place. I can use the alternative menu that has applications and places split out, but I prefer the single icon version.
This is happening on both rawhide and branched.

Version-Release number of selected component (if applicable):
gnome-panel-3.1.5-3.fc17.i686
gnome-menus-3.1.5-3.fc17.i686

gnome-panel-3.1.5-3.fc16.i686
gnome-menus-3.1.5-2.fc16.i686


How reproducible:
It seems to always happen. I tried adding the main menu icon again and tried adding it to a new panel and I still don't see it.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bruno Wolff III 2011-08-27 23:19:19 UTC
One other possibly relevant note is that I am using metacity.

Comment 2 Dmytro Taranovsky 2011-09-20 23:33:24 UTC
This bug appears to be fixed in gnome-panel-3.1.92 (which is available from koji and will soon reach the repository).

Comment 3 Bruno Wolff III 2011-09-22 15:47:04 UTC
The issue is fixed in rawhide now.

Comment 4 Bruno Wolff III 2011-09-22 16:45:05 UTC
This is also fixed with gnome-panel-3.1.92 in f16.

Comment 5 Fedora Update System 2011-09-22 22:34:56 UTC
glib2-2.29.92-1.fc16, gnome-color-manager-3.1.92-2.fc16, gnome-packagekit-3.1.92-2.fc16, gnome-power-manager-3.1.92-1.fc16, glib-networking-2.29.92-1.fc16, gtk3-3.1.92-1.fc16, libsoup-2.35.92-1.fc16, dconf-0.9.1-1.fc16, gtk-doc-1.18-1.fc16, polkit-gnome-0.103-1.fc16, gnome-desktop3-3.1.92-1.fc16, json-glib-0.14.0-1.fc16, atk-2.1.92-1.fc16, gnome-themes-standard-3.1.92-1.fc16, gnome-menus-3.1.92-1.fc16, libwnck3-3.1.92-1.fc16, libgnome-keyring-3.1.92-1.fc16, libgdata-0.10.1-1.fc16, yelp-xsl-3.1.6-1.fc16, p11-kit-0.6-1.fc16, at-spi2-atk-2.1.92-1.fc16, at-spi2-core-2.1.92-1.fc16, gnome-keyring-3.1.92-1.fc16, gnome-online-accounts-3.1.91-1.fc16, gnome-screensaver-3.1.92-1.fc16, gnome-utils-3.1.92-1.fc16, gucharmap-3.1.92-1.fc16, pyatspi-2.1.91-1.fc16, sushi-0.1.92-2.fc16, aisleriot-3.1.92-1.fc16, file-roller-3.1.92-1.fc16, gnome-settings-daemon-3.1.92-1.fc16, nautilus-3.1.92-1.fc16, gdm-3.1.92-1.fc16, GConf2-3.1.92-1.fc16, seahorse-3.1.92-1.fc16, eog-3.1.92-1.fc16, clutter-1.8.0-1.fc16, clutter-gtk-1.0.2-4.fc16, cogl-1.8.0-1.fc16, libchamplain-0.12.0-1.fc16, gnome-session-3.1.92-1.fc16, gnome-documents-0.1.92-2.fc16, vinagre-3.1.92-1.fc16, vino-3.1.92-1.fc16, gnome-panel-3.1.92-1.fc16, orca-3.1.92-1.fc16, clutter-gst-1.3.14-2.fc16, libmx-1.3.1-2.fc16, gnome-games-3.1.92-1.fc16, gnome-applets-3.1.92-1.fc16, rygel-0.12.2-1.fc16, gnome-contacts-0.1.5.2-1.fc16, mutter-3.1.92-1.fc16, cheese-3.1.92-1.fc16, gobject-introspection-1.30.0-1.fc16, control-center-3.1.92-1.fc16, totem-3.1.92-1.fc16, simple-scan-3.1.91-1.fc16, rhythmbox-2.90.1-16.git20110829.fc16, gjs-1.29.18-1.fc16, gnome-user-docs-3.1.1-1.fc16, gnome-shell-3.1.92-1.fc16, caribou-0.3.92-1.fc16, folks-0.6.3-2.fc16, yelp-3.1.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-13111

Comment 6 Fedora Update System 2011-09-24 20:51:39 UTC
Package glib2-2.29.92-1.fc16, gnome-color-manager-3.1.92-2.fc16, gnome-packagekit-3.1.92-2.fc16, gnome-power-manager-3.1.92-1.fc16, glib-networking-2.29.92-1.fc16, libsoup-2.35.92-1.fc16, dconf-0.9.1-1.fc16, gtk-doc-1.18-1.fc16, polkit-gnome-0.103-1.fc16, gnome-desktop3-3.1.92-1.fc16, json-glib-0.14.0-1.fc16, atk-2.1.92-1.fc16, gnome-themes-standard-3.1.92-1.fc16, gnome-menus-3.1.92-1.fc16, libwnck3-3.1.92-1.fc16, libgnome-keyring-3.1.92-1.fc16, libgdata-0.10.1-1.fc16, yelp-xsl-3.1.6-1.fc16, p11-kit-0.6-1.fc16, at-spi2-core-2.1.92-1.fc16, gnome-keyring-3.1.92-1.fc16, gnome-online-accounts-3.1.91-1.fc16, gnome-screensaver-3.1.92-1.fc16, gnome-utils-3.1.92-1.fc16, gucharmap-3.1.92-1.fc16, pyatspi-2.1.91-1.fc16, sushi-0.1.92-2.fc16, aisleriot-3.1.92-1.fc16, file-roller-3.1.92-1.fc16, gnome-settings-daemon-3.1.92-1.fc16, nautilus-3.1.92-1.fc16, gdm-3.1.92-1.fc16, GConf2-3.1.92-1.fc16, seahorse-3.1.92-1.fc16, eog-3.1.92-1.fc16, clutter-1.8.0-1.fc16, clutter-gtk-1.0.2-4.fc16, cogl-1.8.0-1.fc16, libchamplain-0.12.0-1.fc16, gnome-session-3.1.92-1.fc16, gnome-documents-0.1.92-2.fc16, vinagre-3.1.92-1.fc16, vino-3.1.92-1.fc16, gnome-panel-3.1.92-1.fc16, orca-3.1.92-1.fc16, clutter-gst-1.3.14-2.fc16, libmx-1.3.1-2.fc16, gnome-games-3.1.92-1.fc16, gnome-applets-3.1.92-1.fc16, rygel-0.12.2-1.fc16, gnome-contacts-0.1.5.2-1.fc16, mutter-3.1.92-1.fc16, cheese-3.1.92-1.fc16, gobject-introspection-1.30.0-1.fc16, control-center-3.1.92-1.fc16, totem-3.1.92-1.fc16, simple-scan-3.1.91-1.fc16, rhythmbox-2.90.1-16.git20110829.fc16, gjs-1.29.18-1.fc16, gnome-user-docs-3.1.1-1.fc16, gnome-shell-3.1.92-1.fc16, caribou-0.3.92-1.fc16, folks-0.6.3-2.fc16, yelp-3.1.4-2.fc16, gtk3-3.1.92-2.fc16, at-spi2-atk-2.1.92-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glib2-2.29.92-1.fc16 gnome-color-manager-3.1.92-2.fc16 gnome-packagekit-3.1.92-2.fc16 gnome-power-manager-3.1.92-1.fc16 glib-networking-2.29.92-1.fc16 libsoup-2.35.92-1.fc16 dconf-0.9.1-1.fc16 gtk-doc-1.18-1.fc16 polkit-gnome-0.103-1.fc16 gnome-desktop3-3.1.92-1.fc16 json-glib-0.14.0-1.fc16 atk-2.1.92-1.fc16 gnome-themes-standard-3.1.92-1.fc16 gnome-menus-3.1.92-1.fc16 libwnck3-3.1.92-1.fc16 libgnome-keyring-3.1.92-1.fc16 libgdata-0.10.1-1.fc16 yelp-xsl-3.1.6-1.fc16 p11-kit-0.6-1.fc16 at-spi2-core-2.1.92-1.fc16 gnome-keyring-3.1.92-1.fc16 gnome-online-accounts-3.1.91-1.fc16 gnome-screensaver-3.1.92-1.fc16 gnome-utils-3.1.92-1.fc16 gucharmap-3.1.92-1.fc16 pyatspi-2.1.91-1.fc16 sushi-0.1.92-2.fc16 aisleriot-3.1.92-1.fc16 file-roller-3.1.92-1.fc16 gnome-settings-daemon-3.1.92-1.fc16 nautilus-3.1.92-1.fc16 gdm-3.1.92-1.fc16 GConf2-3.1.92-1.fc16 seahorse-3.1.92-1.fc16 eog-3.1.92-1.fc16 clutter-1.8.0-1.fc16 clutter-gtk-1.0.2-4.fc16 cogl-1.8.0-1.fc16 libchamplain-0.12.0-1.fc16 gnome-session-3.1.92-1.fc16 gnome-documents-0.1.92-2.fc16 vinagre-3.1.92-1.fc16 vino-3.1.92-1.fc16 gnome-panel-3.1.92-1.fc16 orca-3.1.92-1.fc16 clutter-gst-1.3.14-2.fc16 libmx-1.3.1-2.fc16 gnome-games-3.1.92-1.fc16 gnome-applets-3.1.92-1.fc16 rygel-0.12.2-1.fc16 gnome-contacts-0.1.5.2-1.fc16 mutter-3.1.92-1.fc16 cheese-3.1.92-1.fc16 gobject-introspection-1.30.0-1.fc16 control-center-3.1.92-1.fc16 totem-3.1.92-1.fc16 simple-scan-3.1.91-1.fc16 rhythmbox-2.90.1-16.git20110829.fc16 gjs-1.29.18-1.fc16 gnome-user-docs-3.1.1-1.fc16 gnome-shell-3.1.92-1.fc16 caribou-0.3.92-1.fc16 folks-0.6.3-2.fc16 yelp-3.1.4-2.fc16 gtk3-3.1.92-2.fc16 at-spi2-atk-2.1.92-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/folks-0.6.3-2.fc16,glib2-2.29.92-1.fc16,gnome-color-manager-3.1.92-2.fc16,gnome-packagekit-3.1.92-2.fc16,gnome-power-manager-3.1.92-1.fc16,glib-networking-2.29.92-1.fc16,gtk3-3.1.92-2.fc16,libsoup-2.35.92-1.fc16,dconf-0.9.1-1.fc16,gtk-doc-1.18-1.fc16,polkit-gnome-0.103-1.fc16,gnome-desktop3-3.1.92-1.fc16,json-glib-0.14.0-1.fc16,atk-2.1.92-1.fc16,gnome-themes-standard-3.1.92-1.fc16,gnome-menus-3.1.92-1.fc16,libwnck3-3.1.92-1.fc16,libgnome-keyring-3.1.92-1.fc16,libgdata-0.10.1-1.fc16,yelp-xsl-3.1.6-1.fc16,p11-kit-0.6-1.fc16,at-spi2-atk-2.1.92-2.fc16,at-spi2-core-2.1.92-1.fc16,gnome-keyring-3.1.92-1.fc16,gnome-online-accounts-3.1.91-1.fc16,gnome-screensaver-3.1.92-1.fc16,gnome-utils-3.1.92-1.fc16,gucharmap-3.1.92-1.fc16,pyatspi-2.1.91-1.fc16,sushi-0.1.92-2.fc16,aisleriot-3.1.92-1.fc16,file-roller-3.1.92-1.fc16,gnome-settings-daemon-3.1.92-1.fc16,nautilus-3.1.92-1.fc16,gdm-3.1.92-1.fc16,GConf2-3.1.92-1.fc16,seahorse-3.1.92-1.fc16,eog-3.1.92-1.fc16,clutter-1.8.0-1.fc16,clutter-gtk-1.0.2-4.fc16,cogl-1.8.0-1.fc16,libchamplain-0.12.0-1.fc16,yelp-3.1.4-2.fc16,gnome-session-3.1.92-1.fc16,gnome-documents-0.1.92-2.fc16,vinagre-3.1.92-1.fc16,vino-3.1.92-1.fc16,gnome-panel-3.1.92-1.fc16,orca-3.1.92-1.fc16,clutter-gst-1.3.14-2.fc16,libmx-1.3.1-2.fc16,gnome-games-3.1.92-1.fc16,gnome-applets-3.1.92-1.fc16,rygel-0.12.2-1.fc16,gnome-contacts-0.1.5.2-1.fc16,mutter-3.1.92-1.fc16,cheese-3.1.92-1.fc16,gobject-introspection-1.30.0-1.fc16,control-center-3.1.92-1.fc16,totem-3.1.92-1.fc16,simple-scan-3.1.91-1.fc16,rhythmbox-2.90.1-16.git20110829.fc16,gjs-1.29.18-1.fc16,gnome-user-docs-3.1.1-1.fc16,gnome-shell-3.1.92-1.fc16,caribou-0.3.92-1.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-09-30 19:31:31 UTC
glib2-2.29.92-1.fc16, gnome-color-manager-3.1.92-2.fc16, gnome-packagekit-3.1.92-2.fc16, gnome-power-manager-3.1.92-1.fc16, glib-networking-2.29.92-1.fc16, libsoup-2.35.92-1.fc16, dconf-0.9.1-1.fc16, gtk-doc-1.18-1.fc16, polkit-gnome-0.103-1.fc16, gnome-desktop3-3.1.92-1.fc16, json-glib-0.14.0-1.fc16, atk-2.1.92-1.fc16, gnome-themes-standard-3.1.92-1.fc16, gnome-menus-3.1.92-1.fc16, libwnck3-3.1.92-1.fc16, libgnome-keyring-3.1.92-1.fc16, libgdata-0.10.1-1.fc16, yelp-xsl-3.1.6-1.fc16, p11-kit-0.6-1.fc16, at-spi2-core-2.1.92-1.fc16, gnome-keyring-3.1.92-1.fc16, gnome-online-accounts-3.1.91-1.fc16, gnome-screensaver-3.1.92-1.fc16, gnome-utils-3.1.92-1.fc16, gucharmap-3.1.92-1.fc16, pyatspi-2.1.91-1.fc16, sushi-0.1.92-2.fc16, aisleriot-3.1.92-1.fc16, file-roller-3.1.92-1.fc16, gnome-settings-daemon-3.1.92-1.fc16, nautilus-3.1.92-1.fc16, gdm-3.1.92-1.fc16, GConf2-3.1.92-1.fc16, seahorse-3.1.92-1.fc16, eog-3.1.92-1.fc16, clutter-1.8.0-1.fc16, clutter-gtk-1.0.2-4.fc16, cogl-1.8.0-1.fc16, libchamplain-0.12.0-1.fc16, gnome-session-3.1.92-1.fc16, gnome-documents-0.1.92-2.fc16, vinagre-3.1.92-1.fc16, vino-3.1.92-1.fc16, gnome-panel-3.1.92-1.fc16, orca-3.1.92-1.fc16, clutter-gst-1.3.14-2.fc16, libmx-1.3.1-2.fc16, gnome-games-3.1.92-1.fc16, gnome-applets-3.1.92-1.fc16, rygel-0.12.2-1.fc16, gnome-contacts-0.1.5.2-1.fc16, mutter-3.1.92-1.fc16, cheese-3.1.92-1.fc16, gobject-introspection-1.30.0-1.fc16, control-center-3.1.92-1.fc16, totem-3.1.92-1.fc16, simple-scan-3.1.91-1.fc16, rhythmbox-2.90.1-16.git20110829.fc16, gjs-1.29.18-1.fc16, gnome-user-docs-3.1.1-1.fc16, gnome-shell-3.1.92-1.fc16, caribou-0.3.92-1.fc16, folks-0.6.3-2.fc16, yelp-3.1.4-2.fc16, gtk3-3.1.92-2.fc16, at-spi2-atk-2.1.92-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.